Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 353097 (CVE-2011-0530)

Summary: <sys-block/nbd-2.9.20: buffer overflow (CVE-2011-0530)
Product: Gentoo Security Reporter: Paweł Hajdan, Jr. (RETIRED) <phajdan.jr>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: base-system
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/show_bug.cgi?id=673562
Whiteboard: C1 [glsa]
Package list:
Runtime testing required: ---

Comment 1 SpanKY gentoo-dev 2011-03-01 01:52:43 UTC
i think nbd-2.9.20 is fixed, and it's in the tree now
Comment 2 Tim Sammut (RETIRED) gentoo-dev 2011-03-01 03:48:26 UTC
(In reply to comment #1)
> i think nbd-2.9.20 is fixed, and it's in the tree now
> 

Great, thanks.

Arches, please test and mark stable:
=sys-block/nbd-2.9.20
Target keywords : "amd64 ppc ppc64 x86"
Comment 3 Markos Chandras (RETIRED) gentoo-dev 2011-03-01 08:46:19 UTC
amd64 done
Comment 4 Andreas Schürch gentoo-dev 2011-03-02 07:53:55 UTC
I tested on x86 but stopped "make check" after a few hours as it looks like an infinite loop!?
However, the server & client seem to work nevertheless.
Comment 5 Thomas Kahle (RETIRED) gentoo-dev 2011-03-02 08:02:57 UTC
x86 done. Thanks Andreas.  I saw the same behaviour.  Could you file a bug for that?
Comment 6 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2011-03-02 08:25:33 UTC
ppc/ppc64 stable
Comment 7 Tim Sammut (RETIRED) gentoo-dev 2011-03-03 07:07:37 UTC
Thank you everyone. GLSA request filed.
Comment 8 Andreas Schürch gentoo-dev 2011-03-04 05:49:06 UTC
(In reply to comment #5)
> x86 done. Thanks Andreas.  I saw the same behaviour.  Could you file a bug for
> that?
> 
I started it again and left it running in a screen session, 24 hours later it really finished successful! :-)
Comment 9 GLSAMaker/CVETool Bot gentoo-dev 2011-06-24 00:30:18 UTC
CVE-2011-0530 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-0530):
  Buffer overflow in the mainloop function in nbd-server.c in the server in
  Network Block Device (nbd) before 2.9.20 might allow remote attackers to
  execute arbitrary code via a long request.  NOTE: this issue exists because
  of a CVE-2005-3534 regression.
Comment 10 GLSAMaker/CVETool Bot gentoo-dev 2012-06-25 19:23:21 UTC
This issue was resolved and addressed in
 GLSA 201206-35 at http://security.gentoo.org/glsa/glsa-201206-35.xml
by GLSA coordinator Stefan Behte (craig).